4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.BDist

Classes: BDist

## Classes

class BDist(distutils.command.bdist.bdist)

### Methods

finalize_options(self)

### Methods inherited from class distutils.command.bdist.bdist

initialize_options, run

### Methods inherited from class distutils.cmd.Command

__getattr__, __init__, announce, copy_file, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, get_command_name, get_finalized_command, get_sub_commands, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

### Fields

command_name = 'bdist'
format_command = {'bztar': ('bdist_dumb', "bzip2'ed tar file"), 'gztar': ('bdist_dumb', "gzip'ed tar file"), 'inno': ('bdist_inno', 'Windows InnoSetup installer'), 'rpm': ('bdist_rpm', 'RPM distribution'), 'tar': ('bdist_dumb', 'tar file'), 'wininst': ('bdist_wininst', 'Windows executable installer'), 'zip': ('bdist_dumb', 'ZIP file'), 'ztar': ('bdist_dumb', 'compressed tar file')}

### Fields